var doc = app.activeDocument;
var start = false;
var SWname = new Array();
var strDel = 'swatch to delete';
var strNoRen = 'swatch no rename';
if (documents.length > 0){
	var palitra = doc.swatches;	
	if (palitra.length > 0) {
		for (i=0; i < palitra.length; i++){
			start = true;			
			if (palitra[i].color == '[CMYKColor]'){
				clr = palitra[i].color;	
				SWname[i] = CMYKname(clr);
				start = false;				
			}			
			if (palitra[i].color == '[RGBColor]'){
				clr = palitra[i].color; 				
				SWname[i] = RGBname(clr);
				start = false;				
			}			
			if (palitra[i].color == '[SpotColor]'){
				if (palitra[i].color.spot.colorType == ColorModel.PROCESS){
					clr = palitra[i].color.spot.color;
					if (palitra[i].color.spot.color == '[CMYKColor]'){						
						SWname[i] = CMYKname(clr)+" ";
					}
					if (palitra[i].color.spot.color == '[RGBColor]'){
						SWname[i] = RGBname(clr)+" ";
					}
					start = false;
				}				
			}			
			if (start) SWname[i] = strNoRen; 	  											
		}
		for (i=0; i < palitra.length-1; i++){
			a = i+1;
			b = 1;
			for (j=a; j < palitra.length; j++){				
				if ((SWname[i]==SWname[j])&(SWname[i]!=strNoRen)) {									
					SWname[j]=SWname[i]+' '+b;
					b = b+1;					
				}
			}
		}
		for (i=0; i < palitra.length; i++) if (SWname[i]!=strNoRen) palitra[i].name = SWname[i];			
   }
}

function CMYKname(clr){
	str = "C"+Math.round(clr.cyan)+" M"+Math.round(clr.magenta)+" Y"+Math.round(clr.yellow)+" K"+Math.round(clr.black);
	return str;
}
function RGBname(clr){
	str = "R"+Math.round(clr.red)+" G"+Math.round(clr.green)+" B"+Math.round(clr.blue);
	return str;
}